import { PublicClientApplication } from '@azure/msal-browser';
import { EnvironmentType } from '../enums/Environment';
interface EnvVariables {
    CLIENT_ID: string;
    NAME: string;
    API_URL: string;
    API_SCOPE: string;
    ENVIRONMENT_NAME: string;
    SERVICE_NOW_CONFIGURATION_ITEM: string;
    ALLOWED_PARENT_DOMAINS: string;
}
export declare const auth: {
    fetchMsGraph: (url: string, accessToken: string) => Promise<Response>;
    GRAPH_SCOPES: {
        OPENID: string;
        PROFILE: string;
        USER_READ: string;
    };
    GRAPH_REQUESTS_LOGIN: {
        scopes: string[];
    };
    GRAPH_REQUESTS_PHOTO: {
        scopes: string[];
    };
    GRAPH_REQUESTS_BACKEND: (apiScope: string) => {
        scopes: string[];
    };
    GRAPH_ENDPOINTS: {
        PHOTO: string;
    };
    msalApp: PublicClientApplication;
    getToken: () => Promise<string>;
    isReaderOnly: (roles: string[] | undefined) => boolean;
    isInIframe: () => boolean;
};
export declare const environment: {
    getConfig: (param: keyof EnvVariables) => string;
    getAppName: (appName: string | undefined) => string;
    getClientId: (clientId: string | undefined) => string;
    getApiUrl: (apiUrl: string | undefined) => string;
    getApiScope: (apiScope: string | undefined) => string;
    getEnvironmentName: (environmentName: string | EnvironmentType | undefined) => EnvironmentType;
    getIsMock: (isMock: string | undefined) => boolean;
    getServiceNowConfigurationItem: (configurationItem: string | undefined) => string;
    PORTAL_URL_WITHOUT_LOCALHOST: string;
};
export {};
