import { FC, ReactElement, ReactNode } from 'react';
import { AccountInfo } from '@azure/msal-browser';
export type AuthState = 'loading' | 'authorized' | 'unauthorized';
export interface AuthContextType {
    account: AccountInfo | undefined;
    photo: string | undefined;
    roles: string[] | undefined;
    logout: () => void;
}
export declare const useAuth: () => AuthContextType;
interface AuthProviderProps {
    children: ReactNode;
    loadingComponent?: ReactElement;
    unauthorizedComponent?: ReactElement;
}
export declare const AuthProvider: FC<AuthProviderProps>;
export {};
